Subject: RE: [Sipping] Re: draft-sinnreich-sipdev-req-06.txt

From: "Francois Audet" <[email-masked]>
Date: Thu, 19 May 2005 12:40:00 -0400

I could go for what you are proposing.

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]] 
> Sent: Thursday, May 19, 2005 06:06
> To: Audet, Francois [SC100:9T51:EXCH]
> Cc: 'Christian Stredicke'; 'Johnston, Alan'; [email-masked]'
> Subject: Re: [Sipping] Re: draft-sinnreich-sipdev-req-06.txt
> 
> 
> 
> 
> Francois Audet wrote:
> >  > Now Req-18 deals with the semantics of one specific URI 
> type.  > It 
> > is clear that a phone must be able to receive RFC 3966  > 
> URI. But it 
> > must also be able to send a request with that URI  > set, what else 
> > should it do when a user enters such a URI  > (possibly through the 
> > dial plan)?  >
> >  > Lets say "Req-18: SIP telephony devices MUST support URIs for
> >  > Telephone numbers as per RFC 3966 [9]. This includes the
> >  > receiption as well as the sending of requests. It is a
> >  > reasonable behavior to send a request to a preconfigured
> >  > outbound proxy."
> > 
> > No: that's the point. We can't mandate this.
> > 
> > Phones are allowed to reject a non-SIP URI with 416, and as per RFC 
> > 3261/8.1.3.5, the client SHOULD then retry with a SIP URI.
> > 
> > There are good reasons for NOT using a Tel-URI in many cases 
> > (including security). See section 12 of 
> > http://www.ietf.org/internet-drafts/draft-ietf-sip-identity-05.txt.
> 
> I agree with everything you say, except "we can't mandate this".
> 
> And I do agree we can't mandate this for UAs in general. But 
> the point 
> here is to define a profile for a class of general purpose 
> devices with 
> configurable behavior.
> 
> It should be up to whoever is configuring the device to 
> decide whether 
> to use TEL or SIP, not the implementor of the device. So the device 
> should have the *capability* to work either way.
> 
> 	Paul
> 
> 
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP